function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
import * as echarts from "echarts/core";
import { DatasetComponent, GridComponent, DataZoomComponent, TransformComponent } from "echarts/components";
import { BoxplotChart, ScatterChart } from "echarts/charts";
import { UniversalTransition } from "echarts/features";
import { CanvasRenderer } from "echarts/renderers";
import { prepareBoxplotData } from "echarts/extension/dataTool";
import { boxplot } from "@xmweb-ui/vue-renderless/chart-boxplot";
import Core from "@xmweb-ui/vue-chart-core";
import { defineComponent, $prefix } from "@xmweb-ui/vue-common";
echarts.use([DatasetComponent, GridComponent, DataZoomComponent, TransformComponent, BoxplotChart, ScatterChart, CanvasRenderer, UniversalTransition]);
var Boxplot = defineComponent(_extends({}, Core, {
  name: $prefix + "ChartBoxplot",
  data: function data() {
    this.prepareBoxplotData = prepareBoxplotData;
    this.chartHandler = boxplot;
    return {};
  }
}));
var version = "3.8.0";
Boxplot.install = function(Vue) {
  Vue.component(Boxplot.name, Boxplot);
};
Boxplot.version = version;
export {
  Boxplot as default
};
